- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
pdftron::Filters::FlateEncode Class Reference

`#include <FlateEncode.h>`

Inheritance diagram for pdftron::Filters::FlateEncode:

## Public Member Functions
| FlateEncode (Filter input_filter, int compression_level=-1, size_t buf_sz=256)
Public Member Functions inherited from pdftron::Filters::Filter
| Filter ()
| ~Filter ()
| Filter (const Filter &copy)
Filter & | operator= (const Filter &other)
| operator bool ()
void | AttachFilter (Filter attach_filter)
Filter | ReleaseAttachedFilter ()
Filter | GetAttachedFilter ()
Filter | GetSourceFilter ()
const char * | GetName () const
const char * | GetDecodeName () const
UChar * | Begin ()
size_t | Size ()
void | Consume (size_t num_bytes)
size_t | Count ()
size_t | SetCount (size_t new_count)
void | SetStreamLength (size_t bytes)
void | Flush ()
void | FlushAll ()
bool | IsInputFilter ()
bool | CanSeek ()
void | Seek (ptrdiff_t offset, ReferencePos origin)
ptrdiff_t | Tell ()
size_t | Truncate (size_t new_size)
Filter | CreateInputIterator ()
const UString | GetFilePath () const
void | Destroy ()
void | WriteToFile (const UString &path, bool append)

## Additional Inherited Members
Public Types inherited from pdftron::Filters::Filter
enum | ReferencePos { e_begin = SEEK_SET, e_end = SEEK_END, e_cur = SEEK_CUR }

## Detailed Description

FlateEncode filter can be used to compress any data stream using Flate (i.e. ZIP) compression method.

Definition at line 19 of file FlateEncode.h.

## Constructor & Destructor Documentation

pdftron::Filters::FlateEncode::FlateEncode | ( | Filter | input_filter,
|  | int | compression_level = `-1`,
|  | size_t | buf_sz = `256`
| ) |  |

Constructor for Flate encoder.

Parameters

  input_filter | the input data stream
  compression_level | must be a number between 0 and 9: 1 gives best speed, 9 gives best compression, 0 gives no compression at all (the input data is simply copied a block at a time), -1 requests a default compromise between speed and compression (currently equivalent to level 6).
  buf_sz | filter buffer size (in bytes).

The documentation for this class was generated from the following file:

- Filters/FlateEncode.h